
Auto Multiple Choice - Feature # 355: Intégration de la reconnaissance des codes barres pour 
l'identification d'une copie

Status: Closed Priority: Normal
Author: Jean-Baptiste BUTEAUD Category:
Created: 04/30/2015 Assignee:
Updated: 04/11/2020 Due date:
Description: Bonjour, 

Tout d'abord je me dois de vous féliciter pour ce logiciel tout simplement excellent !

Je souhaiterai vous soumettre l'idée d'une nouvelle fonctionnalité pour AMC : La lecture de code barre(ou QR 
code) en supplément de AMCcode. Serait ce quelque chose de réalisable et/ou peut être y avez vous déjà 
réfléchi ?

Bien cordialement !

History
06/03/2015 04:23 pm - Christine Fauvelle-Aymar
Bonjour

je trouve aussi que cela serait un très bon développement.
Je pose donc la même question : est ce à l'étude ?
Bien cordialement
Christine Fauvelle-Aymar

Jean-Baptiste BUTEAUD wrote:
> Bonjour, 
> 
> Tout d'abord je me dois de vous féliciter pour ce logiciel tout simplement excellent !
> 
> Je souhaiterai vous soumettre l'idée d'une nouvelle fonctionnalité pour AMC : La lecture de code barre(ou QR code) en supplément de AMCcode. 
Serait ce quelque chose de réalisable et/ou peut être y avez vous déjà réfléchi ?
> 
> Bien cordialement !

09/19/2017 12:57 am - Jean-Baptiste BUTEAUD
Je me permet de relancer le sujet, pensez-vous cela jouable afin que les étudiants n'ai rien à saisir, juste à coller une étiquette sur leur copie ?

Il existe peut être déjà des solutions ?

Je vous remercie par avance pour votre réponse, votre logiciel est super, je l'utilise depuis maintenant plusieurs années !

Bien cordialement

09/19/2017 08:48 am - Alexis Bienvenüe
Avez-vous beaucoup d'erreurs de codage lors de vos examens ?
Comment voyez-vous les choses en pratique ?
AMC fournit une planche d'étiquettes à partir du fichier des étudiants, que l'on imprime et fait passer en classe au début de l'examen ?
Cela consomme des planches d'étiquettes autocollantes, et perd un peu de temps lors de la distribution.
09/19/2017 11:11 pm - Jean-Baptiste BUTEAUD
Bonsoir,

Je vais détailler un peu plus le contexte :

Sur 17 examens QCM réalisés en juin dernier, allant de 450 à 850 étudiants (par épreuve), nous avons une moyenne de 16% d'erreur de codage et de 
3% de faux positifs dans les réponses.

Malgré des explications écrites sur la manière de coder et de noircir les cases, les consignes sont souvent peu suivies dans de très grandes salles 
comme les amphithéâtres.

Il y a le cas des étudiants qui ne comprennent pas comment coder leur numéro d'anonymat -> Ils cochent un peu n'importe où -> Résultat le numéro 
est erratique ou en cas de forte incohérence il est à 0000

Il y a le cas des étudiants qui noircissent mal les cases ou qui refont les petits carrés après un bon coup de correcteur blanc...

En pratique, nous éditons déjà, pour chaque épreuve (QCM ou non), des codes barres d'anonymat pour nos étudiants afin d'identifier toutes les copies 
(notre volume est de 21000 à 25000 copies par semestre). Ces codes barres sont issus de notre logiciel d'organisation des examens qui gère les 
anonymats (le logiciel est le seul à pouvoir faire le lien entre un numéro d'anonymat et un étudiant). Ils sont de type EAN13.

La distribution des étiquettes est faite directement auprès des étudiants au moment de l'appel (juste avant de rentrer dans la salle). Les étudiants 
doivent ensuite simplement les coller dans la case prévue à cet effet avant de commencer à composer.

J'espère avoir pu éclaircir un peu plus ma demande,

Merci par avance pour votre retour,
Jean-Baptiste

PS : Je suis désolé d'avoir ouvert un autre sujet hier soir, je me suis un peu emmêler les pinceaux...
 http://project.auto-multiple-choice.net/issues/495#note-1

09/20/2017 07:29 am - Alexis Bienvenüe
Sous quelle forme devez-vous produire les notes ? Avez-vous un fichier qui fait correspondre le numéro d'anonymat et le nom/numéro d'étudiant, ou 
devez-vous fournir simplement un fichier qui associe une note à chaque numéro d'anonymat ?
Pouvez-vous joindre le scan d'une de ces étiquettes ?

09/20/2017 06:03 pm - Jean-Baptiste BUTEAUD
> Sous quelle forme devez-vous produire les notes ? Avez-vous un fichier qui fait correspondre le numéro d'anonymat et le nom/numéro d'étudiant, ou 
devez-vous fournir simplement un fichier qui associe une note à chaque numéro d'anonymat ?
Le logiciel de scolarité intègre les notes via tableur ods, excel ou csv sous la forme col1 Anonymat Col 2 Note

> Pouvez-vous joindre le scan d'une de ces étiquettes ?

Le code barre correspond uniquement aux 4 derniers chiffres inscrits en bas a droite, ici : 1180 >>> c'est le numéro d'anonymat de l'étudiant
D1LM007 correspond au code de l'examen, il est purement indicatif de même que "Intro concepts fondamentau dr-EX-EE"
!http://www.droit.univ-nantes.fr/divers/name-1.jpg!

Voici l'entête actuelle d'une copie :
!http://www.droit.univ-nantes.fr/divers/copie.png!

09/20/2017 08:25 pm - Alexis Bienvenüe
Je vois que vous avez le nom de l'étudiant pour produire les copies corrigées : vous avez donc accès à un certain moment à la correspondance entre le 
nom et le numéro d'anonymat. Est-ce le cas au moment de la correction, ou bien vous faut-il fournir dans un premier temps les notes pour l'obtenir ? 
Dans ce dernier cas, connaissez-vous la liste des numéros d'anonymat utilisés ?

09/20/2017 09:56 pm - Jean-Baptiste BUTEAUD
L'accès à la levée de l'anonymat (fichier csv avec numetu:nom:prenom:numanonymat:mail) n'est possible qu'après avoir intégré toutes les notes de 
l'épreuve.

A ce moment, le logiciel bloque les résultats et l'export devient possible. 

Les extractions sont utilisées seulement si nous souhaitons communiquer les copies par courriel ou si un étudiant souhaite consulter sa copie. Cette 
manipulation n'intervient donc qu'en dernier et n'est pas systématique.

09/20/2017 10:01 pm - Jean-Baptiste BUTEAUD
> Dans ce dernier cas, connaissez-vous la liste des numéros d'anonymat utilisés ?

Non, le logiciel est une boite noire tant que l'épreuve n'est pas bloquée. 

A la fin de l'intégration du fichier Anonymat/Note, le logiciel fait un retour de toutes les anomalies constatées : c'est à ce moment que nous pouvons 
voir les erreurs de codages qui nous ont échappé à la correction sur AMC.

10/17/2017 10:57 pm - Jean-Baptiste BUTEAUD
Bonsoir,

Ai-je porté à votre connaissance tous les éléments dont vous avez besoin pour évaluer la faisabilité de la lecture de codes à barre d'identification d'une 
copie dans AMC ?

Peut-être avez-vous des pistes à me conseiller afin d'approfondir le sujet ?

Je vous remercie par avance de votre réponse et vous souhaite une bonne soirée !

10/18/2017 07:51 am - Alexis Bienvenüe
- Target version set to 1.4.0

> Ai-je porté à votre connaissance tous les éléments dont vous avez besoin pour évaluer la faisabilité
Oui : votre problématique me semble claire.
Par contre cela va me demander un peu de temps pour intégrer cela dans AMC.
En attendant, vous pouvez vous bricoler quelque chose :
* utiliser un logiciel quelconque (zbar par exemple) pour récupérer le code barre depuis chaque scan (ils sont dans le répertoire @scan@)
* faire la correspondance entre fichier scan et numéro de sujet à partir des bases de données AMC (table @capture_page@ de la base 
@data/capture.sqlite@)
* rassembler le tout dans le fichier de notes exporté.

10/18/2017 09:13 pm - Jean-Baptiste BUTEAUD
> Par contre cela va me demander un peu de temps pour intégrer cela dans AMC.

Je comprends tout à fait que cela prenne du temps et je ne peux que vous remercier grandement d'étudier la faisabilité de cette fonctionnalité.

> En attendant, vous pouvez vous bricoler quelque chose 

Je vais tester voir ce que je peux faire avec vos indications.

Encore merci pour vos conseils !
11/22/2017 03:14 pm - Jean-Baptiste BUTEAUD
Bonjour,

J'ai suivi vos conseils en attendant une intégration dans AMC :

Je récupère tous les codes barre contenu dans le répertoire cr puis je les analyse avec zbarimg + export xml (zbarimg -D -q --xml *.jpg > extract.xml). 

Cela me donne un export qui contient les noms de fichier + le contenu des codes barre. Un petit coup d'OpenOffice Calc et je peux déduire le numéro 
de la copie grâce aux noms des fichiers : name-xxx.jpg (pas besoin de sqlite du coup) et retrouver mes moutons !

!http://www.droit.univ-nantes.fr/divers/xml.PNG!

Il faut encore un peu d'huile de coude mais c'est déjà très appréciable. Je peux également confirmer que c'est beaucoup plus fiable et rapide que de se 
fier aux codages des étudiants...

Bonne après-midi !

03/06/2018 09:31 am - Alexis Bienvenüe
- Target version deleted (1.4.0)

08/23/2019 02:42 pm - Jean-Baptiste BUTEAUD
Bonjour, je me permets de relancer ce sujet mais qui reste toujours d'actualité. Sera t'il envisagé de l'intégrer dans la version 1.5.0 ?

Merci par avance pour votre réponse !

08/26/2019 03:17 pm - Hervé HOCQUARD
Jean-Baptiste BUTEAUD wrote:
> Bonjour, je me permets de relancer ce sujet mais qui reste toujours d'actualité. Sera t'il envisagé de l'intégrer dans la version 1.5.0 ?
> 
> Merci par avance pour votre réponse !

Bonjour à tous,

Ce serait super que ce soit intégré dans AMC que je viens de découvrir et que je trouve GENIAL, FELICITATIONS pour cet énorme boulot.
Le seul frein de mon côté c'est que je vais me retrouver avec de nombreuses copies avec des problèmes de saisies de numéros d anonymat...et la 
solution de l intégration du code barre serait parfaite. Nous aussi de notre côté, lors de l identification de l étudiant à l entrée de chaque épreuve d 
examen il reçoit une étiquette avec un code barre sur lequel figure son numéro d anonymat. Merci. 

09/25/2019 09:45 pm - Alexis Bienvenüe
- Status changed from New to Feedback

- Target version set to 1.5.0

J'ai commencé à implémenter quelque chose dans cette direction avec git:be11249cc.
Il faut par exemple choisir _BarcodeTail_ dans _Projet/Saisie automatique/Name field type_.
Si quelqu'un peut faire des tests…

09/29/2019 02:12 pm - Frédéric Bréal
> Si quelqu'un peut faire des tests…
Un test sans le qrcode car je ne comprends pas comment on peut l'utiliser sur une copie.
Les codes barre viennent de https://barcode.tec-it.com/fr
Le 1er et 4e ont été étirés.
Les corrections sont faites avec gnupaint et le collage du code barre avec inskcape ou libreoffice draw puis exporter en pdf ou en png

zbarimg vient de zbar-tool : à mettre dans la fenêtre d'avertissement car j'ai cherché zbarimg pendant un bout de temps.

le fichier zip ici : https://www.swisstransfer.com/d/4f172dc8-6323-45be-9698-32be0c826c8d

_Aucun lien : je vais tenter de modifier les fichiers pot et fr pour mettre à jour les traductions en français et les envoyer par github sinon je continuerai 
les envois par mail._

10/01/2019 09:30 pm - Jean-Baptiste BUTEAUD
Bonsoir,

C'est une très bonne nouvelle que cette fonctionnalité avance dans le projet, encore merci pour votre investissement ! 

Si vous avez besoin de codes barre pour tester (nous n'utilisons pas de QRCode mais plutôt des EAN13), je peux vous en fournir en PDF. De même, 
s'il y a des tests à effectuer, je les ferai, dites moi le besoin.

"Un test sans le qrcode car je ne comprends pas comment on peut l'utiliser sur une copie." >>> Actuellement, les codes barre sont générés en PDF 
(logiciel scolarité), imprimés sur papier étiquette, puis collés par les étudiants sur leur copie dans l'encadré champnom au début de l'épreuve.

"zbarimg vient de zbar-tool : à mettre dans la fenêtre d'avertissement car j'ai cherché zbarimg pendant un bout de temps." >>> Désolé, j'aurai dû être 
plus spécifique : j'utilise zbarimg sur les découpages effectués par AMC du champnom (contenus dans nomprojet\cr\name*.jpg) incluant le scan du 
code barre collé. Cette commande décrypte toutes les images name*.jpg pour me donner un tableau xml comme affiché plus haut dans le fil de 
discussion.

10/02/2019 08:00 am - Alexis Bienvenüe
> "zbarimg vient de zbar-tool : à mettre dans la fenêtre d'avertissement car j'ai cherché zbarimg pendant un bout de temps." 
Cette remarque m'était destinée : Gérard a fait un test de la nouvelle version, et comme il n'avait pas @zbarimg@ installé, AMC lui a dit "il faut installer 
zbarimg". Mais il a perdu du temps à trouver le paquet debian à installer pour cela (@zbar-tools@).
Ceci dit, le nom du paquet à installer dépend de la distribution, c'est pourquoi je ne l'avais pas mentionné dans le message…
> De même, s'il y a des tests à effectuer, je les ferai, dites moi le besoin.
Si vous pouvez essayer un cycle complet avec détection des codes barres, je suis intéressé par vos remarques. Cela peut par exemple se faire à partir 
d'un de vos précédents projets qui comprend des scans avec codes barre.
* créer un nouveau projet à partir du même code source.
* préparer les documents, détecter les mise en page.
* Dans les préférences, choisir "Barcode tail" dans _Projet/Name field type_
* effectuer une saisie automatique à partir de quelques scans
* demander la notation
* export des notes -> vérifier qu'il y a une colonne avec les codes lus
* si vous préparez un fichier CSV avec les numéros de code barre et les noms, vérifier qu'on peut faire l'association automatique

Deuxième test que vous pouvez effectuer :
* faire une copie (clone) d'un ancien projet avec codes barres
* Dans les préférences, choisir "Barcode tail" dans _Projet/Name field type_
* Vérifier l'export et l'association automatique comme ci-dessus.

Il faut la version de développement d'AMC : il y a un paquet pour Ubuntu dans le dépôt test d'AMC, sinon il faudra le recompiler à la main…

10/05/2019 01:29 am - Jean-Baptiste BUTEAUD
Bonsoir,

J'ai créé une VM avec Ubuntu 18.04.3 Desktop, installé zbar-tools, libreoffice et la branche dev de AMC

07/11/2025 5/11



J'ai suivi vos indications est... c'est FANTASTIQUE !

Voici les résultats :

>    Si vous pouvez essayer un cycle complet avec détection des codes barres, je suis intéressé par vos remarques. Cela peut par exemple se faire à 
partir d'un de vos précédents projets qui comprend des scans avec codes barre.
>    créer un nouveau projet à partir du même code source. 

OK avec comme base un fichier LaTex importé d'un projet AMC stable 1.4.0

>    préparer les documents, détecter les mise en page. 

OK

>    Dans les préférences, choisir "Barcode tail" dans Projet/Name field type 

Testé avec barcode et barcode tail OK

>    effectuer une saisie automatique à partir de quelques scans 

Test fait sur un examen de 12 copies OK

>    demander la notation 

OK

>    export des notes -> vérifier qu'il y a une colonne avec les codes lus 

OK il y a bien le champ _namefield pour les deux types barcode et barcodetail. Il y a systématiquement un message avant chaque premier export : 
Les lettres inscrites dans les cases du catalogue sont utilisées pour faire référence aux réponses dans l'export. Cependant, le catalogue n'a pas 
encore été construit. Souhaitez-vous le construire maintenant ?

>    si vous préparez un fichier CSV avec les numéros de code barre et les noms, vérifier qu'on peut faire l'association automatique
 
Je n'ai pas pu tester car je n'avais pas de listing pour lever l'anonymat

>    Deuxième test que vous pouvez effectuer :
>    faire une copie (clone) d'un ancien projet avec codes barres 

OK avec comme base un projet AMC stable 1.4.0

>    Dans les préférences, choisir "Barcode tail" dans Projet/Name field type 

OK avec barcode et barcode tail

>    Vérifier l'export et l'association automatique comme ci-dessus. 

Export ok, il y a systématiquement un message avant chaque premier export : 
Les lettres inscrites dans les cases du catalogue sont utilisées pour faire référence aux réponses dans l'export. Cependant, le catalogue n'a pas 
encore été construit. Souhaitez-vous le construire maintenant ?

Je n'ai pas pu tester la fonction CSV faute de listing pour lever l'anonymat
Résultats pour barcode et barcodetail :
!https://uncloud.univ-nantes.fr/index.php/apps/files_sharing/publicpreview/YdsWDCcPf5JRcZb?x=1908&y=565&a=true&file=barcode.PNG&scalingup=0
! 
!https://uncloud.univ-nantes.fr/index.php/apps/files_sharing/publicpreview/2EW3gJYJZrJCgf8?x=1908&y=565&a=true&file=barcodetail.PNG&scalingup
=0!

On voit ici les deux champs : uid étant le codage des étudiants et _namefield le résultat du décodage. De multiples erreurs coté uid, tout bon coté 
_namefield et cela sans intervention manuelle sur les scan avant notation. Dire que cela va fiabiliser le processus et nous faire gagner du temps sur 
50K copies par semestre est un euphémisme...

Je vais refaire des tests sur des épreuves à 1200 candidats puis une nouvelle trame "propre" en LaTex sans le codage manuel des étudiants pour 
notre prochaine épreuve. Pour cette dernière, je ferai également les tests de levée d'anonymat (il faudra attendre novembre).

Encore merci !

Si vous avez besoin que j'effectue d'autres tests, n'hésitez pas !

10/05/2019 02:09 am - Jean-Baptiste BUTEAUD
J'ai également lancé la même expérience sur un examen avec beaucoup d'anomalies :

- Pour les codes barre mal collés l'export donne une cellule vide (logique)
- Pour les codes barre absent l'export donne une cellule vide (logique)
- Pour certains codes barre le traitement se trompe et les voit comme des codes EAN-13 alors qu'ils sont bien des CODE-128 :

Exemple ok : Student 521/0: success (CODE-128 Q:79) -> 0256174-0230
Exemple erroné : Student 542/0: success (EAN-13 Q:3) -> 0072200002252 au lieu de l'attendu : Student 545/0: success (CODE-128 Q:79) -> 
0256174-0300

Image de la copie 542 analysée :
!https://uncloud.univ-nantes.fr/index.php/apps/files_sharing/publicpreview/4EPoyDpsJ8cWSAY?x=1908&y=565&a=true&file=name-542.jpg&scalingup=
0!

Exemple d'export :
!https://uncloud.univ-nantes.fr/index.php/apps/files_sharing/publicpreview/MyFF2wzk8qW6Ezt?x=1908&y=565&a=true&file=anomalies.PNG&scalingup
=0!

10/05/2019 02:12 am - Jean-Baptiste BUTEAUD
Jean-Baptiste BUTEAUD wrote:
> J'ai également lancé la même expérience sur un examen avec beaucoup d'anomalies :
> 
> - Pour les codes barre mal collés l'export donne une cellule vide (logique)
> - Pour les codes barre absent l'export donne une cellule vide (logique)
> - Pour certains codes barre le traitement se trompe et les voit comme des codes EAN-13 alors qu'ils sont bien des CODE-128 :
> 
> Exemple ok : Student 521/0: success (CODE-128 Q:79) -> 0256174-0230
> Exemple erroné : Student 542/0: success (EAN-13 Q:3) -> 0072200002252 au lieu de l'attendu : Student 545/0: success (CODE-128 Q:79) -> 
0256174-0300
> 
> Image de la copie 542 analysée :
> !http://www.droit.univ-nantes.fr/divers/name-542.jpg!
> 
> Exemple d'export :
> !http://www.droit.univ-nantes.fr/divers/anomalies.PNG!

10/05/2019 02:17 am - Jean-Baptiste BUTEAUD
Images du post #21

!http://www.droit.univ-nantes.fr/divers/barcode.PNG! !http://www.droit.univ-nantes.fr/divers/barcodetail.PNG!

10/05/2019 08:33 am - Alexis Bienvenüe
> Exemple erroné : Student 542/0: success (EAN-13 Q:3) -> 0072200002252 au lieu de l'attendu : Student 545/0: success (CODE-128 Q:79) -> 
0256174-0300
C'est assez bizarre. Pouvez-vous essayer la commande suivante (depuis le répertoire où se trouve le fichier) ?
<pre>
zbarimg --xml name-542.jpg
</pre>
Chez moi, c'est la bonne valeur qui sort (0256174-0300). Et comme c'est la commande utilisée par AMC, je ne comprends pas ce qui s'est passé.
La version de @zbarimg@ chez moi : 0.23 (@zbarimg --version@).

10/05/2019 11:15 pm - Jean-Baptiste BUTEAUD
Bonsoir,

Le dépôt a installé la version 0.10 de zbarimg

Voici le résultat de la commande :
zbarimg --xml name-542.jpg
<barcodes xmlns='http://zbar.sourceforge.net/2008/barcode'>
<source href='name-542.jpg'>
<index num='0'>
<symbol type='EAN-13' quality='3'><data><![CDATA[0072200002252]]></data></symbol>
<symbol type='CODE-128' quality='62'><data><![CDATA[0256174-0300]]></data></symbol>
</index>
</source>
</barcodes>
scanned 2 barcode symbols from 1 images in 0.03 seconds

Il trouve les deux possibilités mais semble conserver la première trouvée malgré un indice de qualité nettement inférieur.

10/06/2019 01:04 am - Jean-Baptiste BUTEAUD
J'utilisais une version Ubuntu 18.04.3 LTS où zbar-tools est limité à la version stable 0.10. 

Je suis passé en Ubuntu 19.04 où la version par défaut de zbar-tools est 0.21-3 et effectivement, il ne trouve plus qu'un seul décodage pour le code 
barre :

zbarimg --xml name-532.jpg
<barcodes xmlns='http://zbar.sourceforge.net/2008/barcode'>
<source href='name-532.jpg'>
<index num='0'>
<symbol type='CODE-128' quality='72' orientation='UP'><data><![CDATA[0256174-6161]]></data></symbol>
</index>
</source>
</barcodes>
scanned 1 barcode symbols from 1 images in 0.01 seconds

Du coup, il faut être certain d'utiliser la bonne version de zbar-tools avec AMC. De même, que se passerait t'il si zbarimg trouve deux décodages 
différents possibles ? Actuellement, il semble que ce soit le premier décodage qui soit retenu quelque soit l'indice de qualité.

10/06/2019 09:15 am - Alexis Bienvenüe
> Il trouve les deux possibilités mais semble conserver la première trouvée malgré un indice de qualité nettement inférieur.
Oui c'est une erreur à corriger : merci pour le test.

10/06/2019 10:01 am - Alexis Bienvenüe
Ça devrait aller mieux avec git:391018ba. Si vous avez encore une Ubuntu 18.04 sous la main, vous pouvez essayer avec la nouvelle version 
disponible sur le dépôt test d'AMC (1.4.0+git2019-10-06-1).

10/06/2019 12:25 pm - Jean-Baptiste BUTEAUD
Résultats sur la LTS 18.04.3 avec zbarimg 0.10 :
Avant la mise à jour : !http://www.droit.univ-nantes.fr/divers/avant.PNG! Après la mise à jour : !http://www.droit.univ-nantes.fr/divers/apres.PNG!

Je confirme, la sélection grâce à la qualité fonctionne très bien, il n'y a plus qu'aucune écriture de code EAN-13 dans le détail de la sortie des 
commandes.

Je vais continuer des tests sur de grandes quantités de copies pour voir ce que cela donne.

01/11/2020 09:59 am - Solenne Codet
Bonjour,
Je suis moi-aussi fortement intéressée par cette méthode par code-barre car j'ai aussi des problèmes de codage, mais plutôt côté étudiants (oubli de la 
carte d'étudiants par exemple). Leur distribuer en début d'année une plaque d'étiquettes (voire 2 car nous montons en puissance, j'ai fait des émules) 
avec leur numéro en code barre, cela me parait super judicieux.
J'ai plusieurs questions :
- est-ce que dans ce cas nous pouvons nous affranchir de la partie "coder ici votre numéro d'étudiants" ou les 4 derniers chiffres ? Ou bien est-ce que 
pour le moment nous ne pouvons pas mais que c'est bien l'objectif à terme ?
- est-ce qu'il serait possible d'avoir l'entête à mettre en place dans le fichier source pour que je puisse faire des tests de mon côté aussi ?

Franchement, si nous pouvons nous affranchir du codage, ce serait une révolution !

Merci d'avance pour vos réponses

01/11/2020 07:46 pm - Frédéric Bréal
L'identification par code barre fonctionne mais avec la version 1.4 et sur le ppa test.
Votre version d'MAC est-elle 1.4.0+git2019-10-13 ?

01/13/2020 02:07 pm - Alexis Bienvenüe
> - est-ce que dans ce cas nous pouvons nous affranchir de la partie "coder ici votre numéro d'étudiants" ou les 4 derniers chiffres ?
Tout à fait.

01/13/2020 11:29 pm - Jean-Baptiste BUTEAUD
Bonsoir,

Je profite de ce UP pour faire un retour d'expérience :
J'ai organisé mes premiers examens (3 x 1200 étudiants) avec la version test en supprimant totalement la partie codage des étudiants et tout 
fonctionne sans soucis.

Seul bémol : parfois le décryptage des codes barre bute sur certaines images (mal collées, mal orientées etc.) et le timeout pour passer à la suivante 
en cas d’échec de lecture semble important. Cela génère parfois un temps de traitement assez long (18 à 20min contre 8min sans le décryptage). 
Heureusement, j'ai une moyenne de 5 à 10 images non lues pour 1200 étudiants !

Encore merci pour cette fonction super utile !

01/15/2020 11:47 am - Solenne Codet
Bonjour,

Merci pour ce post. Oui, j'ai la version test et j'ai déjà préparé tous mes codes d'étudiants en EAN13 !
J'ai un examen dans une semaine, je vais tester avant et l'appliquer dessus.
Si je résume :
- plus de AMCcode
- dans ChampNom, les étudiants collent leur étiquette
- dans les préférences du projet, je mets barcode tail
et ça roule.

Merci en tout cas pour cette révolution et le travail effectué

01/27/2020 05:00 pm - Solenne Codet
- File Pb_Code_Barre.png added

Bonjour,

Ca y est, j'ai lancé le test en grandeur nature. Bizarrement, sur 52 étudiants, j'ai 6 étudiants pour lesquels cela a fonctionné, et le reste, c'est la clé 
finale qui merdouille… Aussi, bizarrement, l'étudiant sur lequel j'ai fait le test de chez moi ça a planté aussi alors que chez moi cela a fonctionné…
Voici le fichier permettant de comparer le fichier source avec les codes barres et ce que lit AMC.
Mes codes barres sont générés par Word de façon automatique en EAN13 à partir d'un fichier excel qui à partir de 2020 + numéro d'étudiant me 
calcule la clé.

Cdt

Solenne

01/27/2020 05:37 pm - Solenne Codet
En fait, non, tout fonctionne bien, il y a eu un problème que je ne m'explique pas, mais il vient d'Excel…
Juste 6 étudiants sur 52 qu'AMC n'a pas réussi à décoder. Peut-être un problème au niveau du scannage de la copie.

Donc une grand MERCI pour ce développement que les étudiants ont bien apprécié.
Je vais faire des émules à l'IUT !!

MERCI encore

04/11/2020 11:21 am - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
